# $Revision: 1.13 $, $Date: 2004/11/10 14:11:13 $
Summary:	Diagnostic program for Ethernet adapters under Linux
Summary(pl):	Programy diagnostyczne dla kart sieciowych
Name:		diag-ether
# Version is last update date: yyyymmdd
Version:	20031219
Release:	1
Vendor:		Donald Becker <becker@scyld.com>
License:	GPL
Group:		Networking/Admin
# Manually packaged using sources at: ftp://www.scyld.com/pub/diag/
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	d583860be20e9efc20487ff416f1f8b6
Patch0:		%{name}-alta-diag.patch
Patch1:		%{name}-diag-example.patch
Patch2:		%{name}-eepro100-diag.patch
Patch3:		%{name}-mii-diag.patch
Patch4:		%{name}-natsemi-diag.patch
Patch5:		%{name}-ne2k-pci.patch
Patch6:		%{name}-ns820-diag.patch
Patch7:		%{name}-pci-config.patch
Patch8:		%{name}-pcnet-diag.patch
Patch9:		%{name}-rtl8139-diag.patch
Patch10:	%{name}-tulip-diag.patch
Patch11:	%{name}-winbond-diag.patch
Patch12:	%{name}-ether-wake.patch
Patch13:	%{name}-myson-diag.patch
Patch14:	%{name}-novia-diag.patch

BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Diagnostic and configuration programs for most common Ethernet
adapters supported by Linux.

%description -l pl
Narzdzia diagnostyczne i konfiguracyjne dla najbardziej popularnych
kart Ethernet pracujcych pod Linuksem.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
# TODO: fix via-diag and remove patch14
%patch14 -p1

%build
%{__make} CC="%{__cc}" CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}
for bin in *; do
	if [ -x $bin ]; then
		install $bin	$RPM_BUILD_ROOT%{_sbindir}
	fi
done
install *.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(644,root,root) %{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: diag-ether.spec,v $
Revision 1.13  2004/11/10 14:11:13  paladine
- cosmetics

Revision 1.12  2004/10/29 14:04:43  paladine
- spelling fixes, unifications

Revision 1.11  2004/02/22 22:37:28  areq
- 20031219, add gcc3 patches

Revision 1.10  2003/05/28 12:58:49  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:46:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/05 14:58:20  areq
- snap 20021228
- add man

Revision 1.7  2002/04/25 16:11:36  arturs
fixed a small typo

Revision 1.6  2002/02/23 01:47:49  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/19 17:18:55  misiek
- use proper cc

Revision 1.3  2002/01/18 02:12:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/05/02 02:43:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.1  2001/03/19 11:39:17  misiek
new; ethernet diagnostic tools


